/* GraphView */

#import <Cocoa/Cocoa.h>
	
typedef double* double_ptr;
    
typedef struct  {
    float red;
	float green;
	float blue;
	float alpha;
} RGBColorF;

enum textAlign  {textAlignLeft, textAlignCenter, textAlignRight};

@interface GraphView : NSView
{

    CGRect r;
    CGContextRef context;
	NSString* dataFilePath;
    BOOL initDoneFlag;
    BOOL isPDFOutput;
	
    double *X;    
    double_ptr *Y;
    int nt;      // number of traces
	int na;      // number of array, na = nt + 1
    int npts;
    int IMin, IMax;
    double XMin, XMax;
    double YMin, YMax;	
	
    double rXMin, rXMax;
    double rYMin, rYMax;


    float cXOffset;
    float cYOffset;
    float w;
    float h;
    float whratio;

    double XScaleFactor;
    double YScaleFactor;

    int colorNumber;

    BOOL dataExists;
    BOOL isDragging;
//	BOOL isPrinting;

    NSPoint mPoint;   // mouse point
    NSPoint originPoint;

}
- (void)setColorNumber:(int)number;
- (void)readDataFile:(NSString*)filename with:(int)ntraces;
- (void)outputPDFFile:(BOOL)flag withFile:(NSString*)pdfFilename;
@end
